﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Diagram

Namespace _131252
	Partial Public Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
			Dim sym As New SymbolPalette("Symbol")

			Dim ellip As New Ellipse(100, 100, 100, 70)
			ellip.Name = "Ellipse1"
			sym.AppendChild(ellip)

			Dim rect As New Syncfusion.Windows.Forms.Diagram.Rectangle(100, 100, 100, 70)
			rect.Name = "Rect1"
			sym.AppendChild(rect)

			Dim round As New RoundRect(100, 100, 100, 70, MeasureUnits.Pixel)
			round.Name = "RoundRect"
			sym.AppendChild(round)

			Dim circle As New Ellipse(100, 100, 50, 50)
			circle.Name = "Circle"
			sym.AppendChild(circle)

			Dim line As New LineConnector(New PointF(100, 100), New PointF(200, 200))
			line.Name = "Line"
			sym.AppendChild(line)

			paletteGroupView1.LoadPalette(sym)
		End Sub

		Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button1.Click
			If paletteGroupView1.Palette IsNot Nothing Then
				 For Each nd As Node In paletteGroupView1.Palette.Nodes
					 If textBox1.Text = nd.Name Then
						 paletteGroupView1.SelectNode(nd)
					 End If
				 Next nd
			End If
		End Sub


	End Class
End Namespace
